Generate checkout for a pending subscription
Generates a payment checkout URL for an existing pending subscription. Useful for collecting payment details before activating.
Authorization
bearerAuth Path Parameters
id*string
Request Body
application/json
callbackUrl?string
Format
uriResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.owostack.com/v1/subscriptions/string/checkout" \ -H "Content-Type: application/json" \ -d '{}'{
"success": true,
"checkoutUrl": "http://example.com",
"reference": "string",
"accessCode": "string",
"activatedDirectly": true,
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}